Bug 845262 - Review Request: mhwaveedit - Sound editing program
Review Request: mhwaveedit - Sound editing program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Volker Fröhlich
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 09:41 EDT by Jørn Lomax
Modified: 2012-11-26 06:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-26 06:25:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jørn Lomax 2012-08-02 09:41:50 EDT
Spec URL: http://jvlomax.fedorapeople.org/packaging/mhwaveedit.spec
SRPM URL: http://jvlomax.fedorapeople.org/packaging/mhwaveedit-1.4.22-1.fc17.src.rpm
Description: mhWaveEdit is a graphical program for editing sound files.
Fedora Account System Username: jvlomax

rpmlint:

[makerpm@Fafnir SPECS]$ rpmlint mhwaveedit.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[makerpm@Fafnir SRPMS]$ rpmlint mhwaveedit-1.4.22-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Volker Fröhlich 2012-08-04 14:10:40 EDT
[makerpm@desktop SPECS]$ rpmlint /home/makerpm/rpmbuild/SRPMS/mhwaveedit-1.4.22-1.fc16.src.rpm  /home/makerpm/rpmbuild/RPMS/x86_64/mhwaveedit-1.4.22-1.fc16.x86_64.rpm  /home/makerpm/rpmbuild/RPMS/x86_64/mhwaveedit-debuginfo-1.4.22-1.fc16.x86_64.rpm

mhwaveedit.x86_64: E: incorrect-fsf-address /usr/share/doc/mhwaveedit-1.4.22/COPYING
mhwaveedit.x86_64: W: file-not-utf8 /usr/share/doc/mhwaveedit-1.4.22/AUTHORS

I'd personally shorten the description. The license is more accurately described in the package's metadata and the URL is there as well.

You might consider to ship BUGS, NEWS, TODO, HACKING and ChangeLog.

Besides that, it looks perfect.
Comment 2 Volker Fröhlich 2012-08-05 03:51:11 EDT
%{_mandir}/man1/%{name}.1.gz should rather be %{_mandir}/man1/%{name}.1*, as the compression method might change.
Comment 3 Jørn Lomax 2012-08-07 06:16:51 EDT
Sorry for the delay, here are the Updated URLS:
SPEC URL: http://jvlomax.fedorapeople.org/packaging/mhwaveedit.spec
SRPM URL:http://jvlomax.fedorapeople.org/packaging/mhwaveedit-1.4.22-2.fc17.src.rpm


rpmlint output:
[makerpm@Fafnir SPECS]$ rpmlint mhwaveedit
mhwaveedit.i686: E: incorrect-fsf-address /usr/share/doc/mhwaveedit-1.4.22/COPYING
mhwaveedit.i686: W: file-not-utf8 /usr/share/doc/mhwaveedit-1.4.22/AUTHORS
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


[makerpm@Fafnir SPECS]$ rpmlint ../SRPMS/mhwaveedit-1.4.22-2.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 4 Volker Fröhlich 2012-08-07 11:31:04 EDT
Please correct these two issues. The latter is a must.

https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
https://fedoraproject.org/wiki/Common_Rpmlint_issues#file-not-utf8
Comment 5 Jørn Lomax 2012-08-07 15:18:34 EDT
Forgot to comment that i have contacted upstream about incorrect fsf address.
Updated fileS:
SPEC URL: http://jvlomax.fedorapeople.org/packaging/mhwaveedit.spec
SPRMS URL: http://jvlomax.fedorapeople.org/packaging/mhwaveedit-1.4.22-3.fc17.src.rpm
Comment 6 Volker Fröhlich 2012-08-09 10:58:11 EDT
==APPROVED==

The encoding conversions belongs in the prep section.

It seems to me, there is no need to install the icon to %{_datadir}/icons/hicolor. If I'm right, please drop it and the requirement for hicolor-icon-theme and the scriptlets.

I think the summary and description could be better. Please take a look at the description on http://gna.org/projects/mhwaveedit.

You could try to preserve the timestamp of AUTHORS, as its content didn't change. Something like this would do: touch -r COPYING AUTHORS 

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) GENERATED FILE", "*No copyright* UNKNOWN", "*No
     copyright* GENERATED FILE", "GPL (v2 or later)", "LGPL (with incorrect
     FSF address)" For detailed output of licensecheck see file:
     /home/makerpm/845262-mhwaveedit/licensecheck.txt
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Rpmlint
-------
Checking: mhwaveedit-1.4.22-3.fc16.src.rpm
          mhwaveedit-debuginfo-1.4.22-3.fc16.x86_64.rpm
          mhwaveedit-1.4.22-3.fc16.x86_64.rpm
mhwaveedit.x86_64: E: incorrect-fsf-address /usr/share/doc/mhwaveedit-1.4.22/COPYING
3 packages and 0 specfiles checked; 1 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint mhwaveedit mhwaveedit-debuginfo
(none): E: no installed packages by name mhwaveedit
(none): E: no installed packages by name mhwaveedit-debuginfo
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
mhwaveedit-debuginfo-1.4.22-3.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    

mhwaveedit-1.4.22-3.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    hicolor-icon-theme  
    libasound.so.2()(64bit)  
    libasound.so.2(ALSA_0.9)(64bit)  
    libasound.so.2(ALSA_0.9.0rc4)(64bit)  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdl.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgthread-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libjack.so.0()(64bit)  
    libm.so.6()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    libpulse.so.0()(64bit)  
    libpulse.so.0(PULSE_0)(64bit)  
    librt.so.1()(64bit)  
    libsamplerate.so.0()(64bit)  
    libsamplerate.so.0(libsamplerate.so.0.0)(64bit)  
    libsndfile.so.1()(64bit)  
    libsndfile.so.1(libsndfile.so.1.0)(64bit)  
    pulseaudio  
    rtld(GNU_HASH)  

Provides
--------
mhwaveedit-debuginfo-1.4.22-3.fc16.x86_64.rpm:
    
    mhwaveedit-debuginfo = 1.4.22-3.fc16
    mhwaveedit-debuginfo(x86-64) = 1.4.22-3.fc16

mhwaveedit-1.4.22-3.fc16.x86_64.rpm:
    
    mhwaveedit = 1.4.22-3.fc16
    mhwaveedit(x86-64) = 1.4.22-3.fc16

MD5-sum check
-------------
http://download.gna.org/mhwaveedit/mhwaveedit-1.4.22.tar.bz2 :
  MD5SUM this package     : 920108844abfdc2613cc1d3e188a7833
  MD5SUM upstream package : 920108844abfdc2613cc1d3e188a7833


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 845262
External plugins:
Comment 7 Jørn Lomax 2012-08-10 13:54:50 EDT
New Package SCM Request
=======================
Package Name: mhwaveedit
Short Description: graphical sound editor
Owners: jvlomax
Branches: f17 f16
InitialCC:
Comment 8 Volker Fröhlich 2012-08-10 14:30:22 EDT
You forgot to set the flag.
Comment 9 Jørn Lomax 2012-08-10 14:32:42 EDT
Ooops. Thanks. I was a bit rushed :)
Comment 10 Gwyn Ciesla 2012-08-10 14:39:50 EDT
Git done (by process-git-requests).

Added f18.  Volker, please take ownership of review BZs, thanks!
Comment 11 Volker Fröhlich 2012-11-25 15:11:10 EST
Jørn, can we close this ticket?
Comment 12 Jørn Lomax 2012-11-26 06:25:11 EST
Yes

Note You need to log in before you can comment on or make changes to this bug.